from django.db.models.signals import pre_delete
from django.dispatch import receiver

from arkindex.documents.models import Element


@receiver(pre_delete, sender=Element)
def pre_delete_handler(sender, instance, *args, **kwargs):
    raise NotImplementedError('Deleting elements from a QuerySet is not supported. Please call Element.delete on each element.')
